Bug 749055 - (libkactivities) Review Request: libkactivities - API for using and interacting with Activities
Review Request: libkactivities - API for using and interacting with Activities
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-10-25 20:10 EDT by Rex Dieter
Modified: 2011-11-04 11:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-04 11:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-10-25 20:10:34 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/libkactivities/libkactivities.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/libkactivities/libkactivities-6.1-1.fc16.src.rpm
Description: 
API for using and interacting with Activities as a consumer,
application adding information to them or as an activity manager.


First step and dependency for bringing Plasma Active to fedora.  Once imported, will require modifications to kdelibs, kdebase-runtime to omit their copies of libkactivities and activitymanager, respectively.
Comment 1 Jaroslav Reznik 2011-11-02 12:58:35 EDT
Name: ok
Summary: ok
Release: ok
Version: ok
License: not ok, GPLv2+ and LGPLv2+ (actual library) and (CC-BY or BSD) for ontology
URL: ok
Sources: ok (md5sum d69d42e8521c4a7c01991222572c2cab)
BRs: ok
Requires: ok
Conflicts: ok
Description: ok

Devel subpackage: ok

Macros used consistently: ok
Ldconfig usage: ok
Uses smpflags: ok

No docs/license file provided, contact upstream to fix it (actually I promised it, so I should go through all packages and report it, during BDS).

Files: ok
So in -devel: ok

rpmlint libkactivities-6.1-1.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Package builds: http://koji.fedoraproject.org/koji/taskinfo?taskID=3480646 ok

Please fix the license issue, otherwise package is ok.
Comment 2 Rex Dieter 2011-11-02 15:45:15 EDT
I'm not sure I agree with any license that's not marked GPLv2+ here.  Sure, there are some sources that are LGPLv2+, GPLv2+, but the aggregate license of those combined sources for both the library and activitymanager pieces ends up being GPLv2+

The ontologies are fun too, only used during the build process (via onto2vocabularyclass too) to generate some sources/headers, but each of those generated files are clearly marked LGPLv2+
Comment 3 Jaroslav Reznik 2011-11-03 07:42:28 EDT
(In reply to comment #2)
> I'm not sure I agree with any license that's not marked GPLv2+ here.  Sure,
> there are some sources that are LGPLv2+, GPLv2+, but the aggregate license of
> those combined sources for both the library and activitymanager pieces ends up
> being GPLv2+

What I remember we agreed on not using aggregated licenses, didn't we? It's just reminder, if we do not want to follow it, then it's ok for me to approve this. one.

> The ontologies are fun too, only used during the build process (via
> onto2vocabularyclass too) to generate some sources/headers, but each of those
> generated files are clearly marked LGPLv2+

Ok, makes sense.
Comment 4 Rex Dieter 2011-11-04 09:52:12 EDT
Meh, we can sort out the licensing details later... :)

%changelog
* Fri Nov 04 2011 Rex Dieter <rdieter@fedoraproject.org>  6.1 -2
- License: GPLv2+ and LGPLv2+


Spec URL:
http://rdieter.fedorapeople.org/rpms/libkactivities/libkactivities.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/libkactivities/libkactivities-6.1-1.fc16.src.rpm
Comment 5 Jaroslav Reznik 2011-11-04 10:10:43 EDT
Ok, 
thanks Rex.

APPROVED
Comment 6 Rex Dieter 2011-11-04 10:16:27 EDT
New Package SCM Request
=======================
Package Name: libkactivities
Short Description: API for using and interacting with Activities
Owners: than jreznik kkolfer ltinkl rdieter rnovacek
Branches: f16
InitialCC:
Comment 7 Jon Ciesla 2011-11-04 10:18:51 EDT
Git done (by process-git-requests).

Dropped kkolfer, not a valid FAS account.
Comment 8 Rex Dieter 2011-11-04 11:01:25 EDT
Sorry for the typo.

Imported.

Note You need to log in before you can comment on or make changes to this bug.